package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFAction;
import com.sa.ibiz.demo.demo.service.dto.WFActionSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFAction] 服务对象接口
 */
public interface WFActionService extends IService<WFAction>{

	boolean getDraft(WFAction et);
	boolean remove(WFAction et);
	boolean checkKey(WFAction et);
		WFAction get(WFAction et);
	boolean create(WFAction et);
	boolean update(WFAction et);
    List<WFAction> listDefault(WFActionSearchFilter filter) ;
	Page<WFAction> searchDefault(WFActionSearchFilter filter);
	/**	 实体[WFAction] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }